<?php
	(key_exists('search', $_POST) && $_POST['search']<>'') ? $search = $_POST['search'] : $search = '';
	$genre ='';
	
	if(strlen($search)>=2)
	{
		$query = "SELECT * FROM mobile_melody WHERE interpret like '%".addslashes($search)."%' OR nazov like '%".addslashes($search)."%' OR poznamka like '%".addslashes($search)."%' OR alternative like '%".addslashes($search)."%' ORDER by ID asc LIMIT 0, 20";
		$result = $dba->GetResult($query);
		$max = mysql_num_rows($result);
		
		$co = strtoupper($search);
		$query = "SELECT * FROM mobile_search WHERE UCase(hladane)='".addslashes($co)."'";
		$result2 = $dba->GetResult($query);
		$num = mysql_num_rows($result2);
		if($num==1)
		{
			$row = mysql_fetch_array($result2);
			$pocet = $row["pocet"] + 1;
			$sid = $row["ID"];
			$query = "UPDATE mobile_search SET pocet=$pocet, hits=$max WHERE ID=$sid";
			$dba->ExecuteQuery($query);
		}
		else
		{
			$query = "INSERT INTO mobile_search (hladane, pocet, hits) VALUES ('".$co."', 1, $max)";
			$dba->ExecuteQuery($query);
		}
	}
	else $max = -1;
?>

	<div id="register_form01">
	  <div id="menu01_head">:: melódie - vyhľadávanie</div>
	  <div id="melodie_01">
	  <?php if($max>10) { ?>
	    <i>Tip: Presnejšie formulovaným hľadaním získate presnejšie výsledky. Odporúčame zadávať jednoslovné výrazy s diakritikou a bez chýb.</i><br />
	    <?php  }
	    	if($max>0)
	    	{
//		    	fnVypisMelodySearch($result);
				fnVypisMelodieNew($result);
	    	}
	    	elseif($max==0)	echo "<br />Prepáčte, ale melódia podľa zadaných kritérií sa tu nenachádza. Skontrolujte správnosť zadaného výrazu resp. gramatiku. Píšte s diakritikou!";
	    	else echo "<br />Hľadaný reaťazec musí mať aspoň 3 znaky!";
	    	?>
	  </div>
	</div>
	
	